@ECHO OFF
REM #########################################################################
REM:
REM AmigaOne_AmigaOS4.bat - Start AmigaOne with QEMU on Windows
REM:
REM CPU:	  Motorola PPC 7447
REM RAM:	  2048 MB
REM VGA:	  SiliconMotion 502
REM Sound: 	  VIA AC97
REM Ethernet: RTL 8139
REM:
REM #########################################################################

qemu-system-ppc -M amigaone -m 2048 ^
-device loader,cpu-num=0,file=bboot-0.7/bboot ^
-device loader,addr=0x600000,file=roms/AmigaOne/Kickstart.zip ^
-rtc base=localtime ^
-vga none ^
-device sm501 ^
-device rtl8139,netdev=net0 -netdev user,id=net0 ^
-drive format=raw,file=hdf/AmigaOne.img,index=0,media=disk ^
-drive file=fat:rw:qemu_freigabe,id=ufat,format=raw,if=none -device usb-storage,drive=ufat ^
-display sdl,full-screen=on ^
-serial stdio
