@ECHO OFF
REM #########################################################################
REM:
REM Pegasos_II.bat - Start Pegasos 2 with QEMU on Windows
REM:
REM CPU:	  Motorola PPC 7447
REM RAM:	  2048 MB
REM VGA:	  SiliconMotion 502
REM Sound: 	  VIA AC97
REM Ethernet: RTL 8139
REM:
REM #########################################################################

qemu-system-ppc -M pegasos2 -m 2048 -accel tcg ^
-kernel bboot-0.7/bboot -initrd roms/Pegasos2/Kickstart.zip ^
-rtc base=localtime ^
-vga none ^
-device sm501 ^
-device rtl8139,netdev=net0 -netdev user,id=net0 ^
-drive format=raw,file=hdf/Pegasos2.img,index=0,media=disk ^
-drive file=fat:rw:qemu_freigabe,id=ufat,format=raw,if=none -device usb-storage,drive=ufat ^
-display sdl,full-screen=on ^
-serial stdio
