#include <GUIConstantsEx.au3>
#include <MsgBoxConstants.au3>
#include <WindowsConstants.au3>
#include <ButtonConstants.au3>

Global $QEmu, $Pegasos2, $Pegasos2Edit, $AmigaOne, $AmigaOneEdit, $Example, $Sam460ex, $Sam460exEdit, $idFilemenu, $idExititem, $idHelpmenu, $idInfoitem

Global $version = FileGetVersion( "qemu-system-ppc.exe", "ProductVersion")
Global $name = FileGetVersion( "qemu-system-ppc.exe", "ProductName")

Func _guiCreate()
	;GUI
	GUICreate("AmigaNG Starter v0.1", 300, 280, -1, -1)
	;ICON
	GuiSetIcon("pics/amigaos.ico", 0)
	;BACKGROUND PIC
	;GuiCtrlCreatePic("pics/boingball.jpg", -1, -1, 300, 280)
	
	$QEmu = GUICtrlCreateLabel($name, 112, 15, 71, 31)
	$QEmu = GUICtrlCreateLabel($version, 149, 15, 71, 31)
	
	;BUTTONS
	$Pegasos2 = GUICtrlCreateButton("Pegasos 2", 15, 50, 164, 34, $BS_ICON)
				GUICtrlSetImage (-1, "pics/PegasosII.ico",-1)
	$Pegasos2Edit = GUICtrlCreateButton ("Edit", 185, 52, 50, 30)
	
	$AmigaOne = GUICtrlCreateButton("AmigaOne", 15, 100, 164, 34, $BS_ICON)
				GUICtrlSetImage (-1, "pics/AmigaOne.ico",-1)
	$AmigaOneEdit = GUICtrlCreateButton ("Edit", 185, 102, 50, 30)
	
	$Example = GUICtrlCreateButton ("Example", 237, 102, 50, 30)
	
	$Sam460ex = GUICtrlCreateButton("Sam460ex", 15, 150, 164, 34, $BS_ICON)
				GUICtrlSetImage (-1, "pics/Sam460ex.ico",-1)
	$Sam460exEdit = GUICtrlCreateButton ("Edit", 185, 152, 50, 30)

	$idFilemenu = GUICtrlCreateMenu("&QEmu")
	$idExititem = GUICtrlCreateMenuItem("Exit", $idFilemenu)
	$idHelpmenu = GUICtrlCreateMenu("?")
	$idInfoitem = GUICtrlCreateMenuItem("Info", $idHelpmenu)
EndFunc

_main()

Func _main()
	_guiCreate()
	GUISetState(@SW_SHOWNORMAL)

	While 1
		Switch GUIGetMsg()
			Case $GUI_EVENT_CLOSE, $idExititem
				ExitLoop
			Case $Pegasos2
				Run("Pegasos_II.bat")
			Case $Pegasos2Edit
				Run("notepad.exe Pegasos_II.bat")
			Case $AmigaOne
				Run("AmigaOne.bat")
			Case $AmigaOneEdit
				Run("notepad.exe AmigaOne.bat")
			Case $Example
				Run("notepad.exe Example.txt")
			Case $Sam460ex
				Run("Sam460.bat")
			Case $Sam460exEdit
				Run("notepad.exe Sam460.bat")
            Case $idInfoitem
                MsgBox($MB_SYSTEMMODAL, "Info", "AmigaNG Starter v0.1" & @CRLF & @CRLF & "by Falke_34")
			Case Else
				;
		EndSwitch
	WEnd
EndFunc

