@ECHO OFF
REM #########################################################################
REM:
REM Sam460.bat - Start Sam460 with QEMU on Windows
REM:
REM CPU:	  PowerPC 460Ex
REM RAM:	  2048 MB
REM VGA:	  SiliconMotion 502
REM Sound: 	  ES1370
REM Ethernet: RTL 8139
REM:
REM #########################################################################

qemu-system-ppc -M sam460ex -m 2048 ^
-rtc base=localtime ^
-device rtl8139,netdev=net0 -netdev user,id=net0 ^
-device es1370 ^
-drive format=raw,file=hdf/sam460ex.img,index=0,media=disk ^
-display sdl,full-screen=on ^
-serial stdio
